@base <https://purl.org/coscine/ap/qudt/quantitykind/ThermalEnergy/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/ThermalEnergy/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Thermal Energy sind."@de,
    "Profile for all units that are a/an Thermal Energy."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Thermal Energy"@de,
    "Unit: Thermal Energy"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT unit:BTU_MEAN unit:BTU_TH unit:CAL_15_DEG_C unit:CAL_IT unit:CAL_MEAN unit:CAL_TH unit:GigaJ unit:J unit:KiloBTU_IT unit:KiloBTU_TH unit:KiloCAL unit:KiloCAL_IT unit:KiloCAL_Mean unit:KiloCAL_TH unit:KiloJ unit:MegaJ unit:THM_EEC unit:THM_US unit:TON_FG-HR ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT rdfs:label "British Thermal Unit (International Definition)"@en .
unit:BTU_MEAN rdfs:label "British Thermal Unit (Mean)"@en .
unit:BTU_TH rdfs:label "British Thermal Unit (Thermochemical Definition)"@en .
unit:CAL_15_DEG_C rdfs:label "Calorie (15 Degrees C)"@en .
unit:CAL_IT rdfs:label "International Table Calorie"@en .
unit:CAL_MEAN rdfs:label "Calorie (Mean)"@en .
unit:CAL_TH rdfs:label "Thermochemical Calorie"@en .
unit:GigaJ rdfs:label "Gigajoule"@en .
unit:J rdfs:label "Joule"@de, "Dżul"@pl, "Joule"@cs, "Joule"@en, "Joule"@fr, "Joule"@hu, "Joule"@it, "Joule"@ms, "Joule"@pt, "Joule"@ro, "Joule"@sl, "Joule"@tr, "Joulium"@la, "Julio"@es, "Τζάουλ"@el, "Джаул"@bg, "Джоуль"@ru, "ژول"@fa, "जूल"@hi, "ジュール"@ja, "焦耳"@zh .
unit:KiloBTU_IT rdfs:label "Kilo British Thermal Unit (International Definition)"@en .
unit:KiloBTU_TH rdfs:label "Kilo British Thermal Unit (Thermochemical Definition)"@en .
unit:KiloCAL rdfs:label "Kilocalorie"@en .
unit:KiloCAL_IT rdfs:label "Kilocalorie (International Table)"@en .
unit:KiloCAL_Mean rdfs:label "Kilocalorie (Mean)"@en .
unit:KiloCAL_TH rdfs:label "Kilocalorie (Thermochemical)"@en .
unit:KiloJ rdfs:label "Kilojoule"@en .
unit:MegaJ rdfs:label "Megajoule"@en .
unit:THM_EEC rdfs:label "Thm_Eec"@en .
unit:THM_US rdfs:label "Therm Us"@en .
unit:TON_FG-HR rdfs:label "Ton Of Refrigeration Hour"@en .
